<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xhkjedu.sclass.mapper.classroom.ClassroomPaperMapper">
    <!--批量保存堂测信息-->
    <delete id="batchSave">
        insert ignore into t_classroom_paper
        (paperid,papername,papernum,paperscore,subjectid,lsbid,directorid,createid,createtime,schoolid)
        values
        <foreach collection="papers" item="p" separator=",">
            (#{p.paperid},#{p.papername},#{p.papernum},#{p.paperscore},#{p.subjectid},#{p.lsbid}
            ,#{p.directorid},#{p.createid},#{p.createtime},#{p.schoolid})
        </foreach>
    </delete>
</mapper>
